Bug 495612 - Export guest UUID through SMBIOS to show in guest dmidecode by default
Export guest UUID through SMBIOS to show in guest dmidecode by default
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity urgent
: rc
: ---
Assigned To: Lawrence Lim
Red Hat Kernel QE team
: FutureFeature
Depends On: 495611
Blocks: 495615 512913
  Show dependency treegraph
 
Reported: 2009-04-13 23:15 EDT by Daniel Riek
Modified: 2014-03-25 20:56 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 495611
Environment:
Last Closed: 2009-09-02 04:28:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Riek 2009-04-13 23:15:23 EDT
+++ This bug was initially created as a clone of Bug #495611 +++

Created an attachment (id=339411)
RHEL 5.3 FV Xen DMIDECODE

In order to allow identifying a host from the guest - mainly for RHN use cases - a UUID needs to be exported through SMBIOS to the guests the same way, that happens for RHEL5 / Xen.

Attached is an example demidecode from a RHEL 5.3 Xen system.
Comment 2 Daniel Berrange 2009-04-14 05:11:27 EDT
This request makes no sense. KVM already has the ability to expose the *guest* UUID via SMBIOS data. This is sufficient for RHN needs (as proved by fact that Xen works this way already). There is no need to expose the host OS UUID too.
Comment 10 Daniel Riek 2009-04-16 16:27:13 EDT
I changed the subject to reflect the guest UUID. I will file another request for the host UUID as it is a slightly different use case.

It seem to be a QE-only thing.

Also, this is more improtant for RHEL than for RHEV-H, as the "free" virt guests rules depend on the UUID being there.

This means, if the *GUEST* UUID is not available in the guest's smbios, that guest will not follow the expected RHN business rules and possibly not be able to register in RHN.
Comment 13 Bill Burns 2009-04-17 09:30:47 EDT
Based on Dan's comments there is nothing to do here other than make sure that QE is testing this. Assigned and added key QE folks. Feel free to close.
Comment 14 Yaniv Kaul 2009-04-17 09:40:25 EDT
QE: You can use WMI to query the UUID on Windows.
Comment 21 errata-xmlrpc 2009-09-02 04:28:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.